Get all Meetings
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId}/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"id": "<string>",
"name": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"calendar": {
"connection": {
"id": "<string>",
"connectedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"email": "<string>"
}
}
},
"hosts": [
{
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
}
}
],
"attendees": [
{
"id": "<string>",
"email": "chris@sakari.io",
"firstName": "Chris",
"lastName": "Bloggs",
"mobile": {
"country": "<string>",
"number": "123-456-7890",
"verified": "2023-11-07T05:31:56Z",
"valid": true,
"lineType": "mobile"
}
}
],
"cancelled": true,
"notes": "<string>",
"conferencing": {
"provider": "<string>",
"joinUrl": "<string>"
}
}
]
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}meetings
Get all Meetings
GET
/
v1
/
accounts
/
{accountId}
/
meetings
Get all Meetings
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Query Parameters
Id of attendee in meeting
Id of host in meeting
Name of meeting event associated with meeting
Date-string of day the meeting occurs
Duration of meeting in minutes
Status of meeting
Maximum number of results to return
Required range:
1 <= x <= 100Results to skip when paginating through a result set
Required range:
x >= 0⌘I